{% extends 'base.html' %}
{% block title %}Home | Makeup Market{% endblock  %}

{% block content %}
<main>
  <div class="container">
    <div class="alert alert-primary fw600 rounded-0 border-0 py-3" role="alert">
      <svg xmlns="http://www.w3.org/2000/svg" width="18" height="18" fill="currentColor" class="bi bi-info-circle me-2"
        viewBox="0 0 16 16">
        <path d="M8 15A7 7 0 1 1 8 1a7 7 0 0 1 0 14zm0 1A8 8 0 1 0 8 0a8 8 0 0 0 0 16z" />
        <path
          d="M8.93 6.588l-2.29.287-.082.38.45.083c.294.07.352.176.288.469l-.738 3.468c-.194.897.105 1.319.808 1.319.545 0 1.178-.252 1.465-.598l.088-.416c-.2.176-.492.246-.686.246-.275 0-.375-.193-.304-.533L8.93 6.588zM9 4.5a1 1 0 1 1-2 0 1 1 0 0 1 2 0z" />
      </svg>
      COVID-19 - <u>Click here for our latest updates</u> on our stores, website and contact centre. Thank you for
      your patience and support.
    </div>
    <div class="container">
      <div class="row">
        <div class="album py-5">
          <div class="pb-3">
            <h1 class="h3">Popular</h1>
          </div>
          {% if not products %}

            <div class="col-12">There are currently no products active</div>
          {% else %}
            <div class="row row-cols-1 row-cols-sm-2 row-cols-md-5 g-3">
            {% for product in products %}
              <div class="col">
                <div class="card border-0">
                  {% for image in product.product_image.all  %}
                    {% if image.is_feature %}
                        <img class="img-fluid" alt="{{image.alt_text}}" src="{{ image.image.url }}">
                    {% endif %}
                  {% endfor %}
                  <div class="card-body px-0">
                    <p class="card-text">
                      <a class="text-dark text-decoration-none"
                        href="{{ product.get_absolute_url }}">{{ product.title|slice:":50" }}...</a>
                    </p>
                    <div class="fw-bold">£{{product.regular_price}}</div>
                  </div>
                </div>
              </div>
            {% endfor %}
            </div>
          {% endif %}
          
          
        </div>
      </div>
    </div>
</main>

{% endblock  %}